[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBasicActionLink.Destroy

Destroys the TBasicActionLink instance.

## Declaration

Source position: classesh.inc line 2009

`public destructor TBasicActionLink.Destroy; override;`

## Description

Destroy unregisters the TBasicActionLink with the action, and then calls the inherited destructor.

Application programmers should never call Destroy directly. If a link should be destroyed at all, the Free method should be called instead.

## See also

Create |  | Creates a new instance of the TBasicActionLink class